Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 420563 - www-client/opera and www-client/opera-next make use of gtk3 useflag
Summary: www-client/opera and www-client/opera-next make use of gtk3 useflag
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jeroen Roovers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: use_gtk3
  Show dependency tree
 
Reported: 2012-06-10 18:23 UTC by Julian Ospald
Modified: 2012-06-15 14:10 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Ospald 2012-06-10 18:23:29 UTC
These packages make use of gtk3 useflag which indicates that there are issues of migration to gtk+:3.
Gtk3 and similar useflags should be avoided.

Adding to tracker. Please have a look.
Comment 1 Jeroen Roovers gentoo-dev 2012-06-11 10:48:09 UTC
Both ebuilds install a dynamically loaded GTK+ 3 compatible library, or they do not when USE=-gtk3. When, say, GNOME is detected, this library takes care of displaying file dialogs and such that match the desktop environment, unless autodetection is turned off in favour of another specific implementation.

Same for KDE 4 and GTK+ 2 (as well as a generic "X11" interface).

All of this is closed source and nothing is actually compiled against the installed base.

Do you suggest changing IUSE=gtk3 to IUSE=gtk?
Comment 2 Julian Ospald 2012-06-12 09:23:34 UTC
Yes, imo it makes sense to merge both flags for these ebuilds. We generally should expect the user to have gtk+3 anyway, cause it is the latest and stable version.

As far as I understand this does not even break anything.
Comment 3 Jeroen Roovers gentoo-dev 2012-06-12 14:35:18 UTC
Fixed in =www-client/opera-12.00.1456 and =www-client/opera-next-12.00.1456. The older ebuilds will disappear soon anyway.
Comment 4 Jeroen Roovers gentoo-dev 2012-06-15 14:10:16 UTC
USE=gtk3 is gone.